%define section         devel
%define version		1.9.1
%define nversion	1.9.2-dev
%define gcj_support	1
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc
%endif

Summary:        High-performance, full-featured text search engine
Name:           lucene
Version:        %{version}
Release:        %mkrel 3
Epoch:          0
License:        Apache License
URL:            http://lucene.apache.org/
Group:          Development/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0:	http://www.apache.org/dist/lucene/java/archive/lucene-%{version}-src-MDVCLEAN.tar.bz2
BuildRequires:  ant
BuildRequires:  javacc
BuildRequires:  java-devel
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils
BuildRequires:  zip
%if !%{gcj_support}
BuildArch:      noarch
%else
BuildRequires:	java-1.4.2-gcj-compat-devel
Requires(post):	java-1.4.2-gcj-compat
Requires(postun): java-1.4.2-gcj-compat
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package javadoc
Summary:        Javadoc for Lucene
Group:          Development/Java

%description javadoc
Javadoc for Lucene.

%package demo
Summary:        Lucene demonstrations and samples
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Lucene demonstrations and samples.

# TODO: webapp

%package src
Summary:        Source for Lucene
Group:          Development/Java

%description src
Source for Lucene.

%prep
%setup -q

%build
mkdir -p docs
export CLASSPATH=
export OPT_JAR_LIST=
%ant \
  -Djavacc.home=%{_bindir}/javacc \
  -Djavacc.jar=%{_javadir}/javacc.jar \
  -Djavacc.jar.dir=%{_javadir} \
  -Djavadoc.link=%{_javadocdir}/java \
  jar-core jar-demo javadocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/%{name}-core-%{nversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-core.jar %{name}.jar && ln -sf %{name}-core-%{version}.jar %{name}-%{version}.jar)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -p build/%{name}-demos-%{nversion}.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-demos-%{version}.jar
ln -s %{name}-demos-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-demos.jar

# TODO: webapp: luceneweb.war / where do we install 'em?

# src
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__tar} xOf %{SOURCE0} | zip -r $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-%{version}-src.zip -
ln -s %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-src.zip

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db

%postun
%{_bindir}/rebuild-gcj-db
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}
%exclude %{_datadir}/%{name}/*.zip
%{_datadir}/%{name}/*

# TODO: webapp

%files src
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.zip


%changelog
* Fri Mar 16 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.9.1-3mdv2007.1
+ Revision: 144742
- rebuild for 2007.1

  + David Walluck <walluck@mandriva.org>
    - Import lucene



* Wed May 24 2006 David Walluck <walluck@mandriva.org> 0:1.9.1-2mdv2007.0
- rebuild for libgcj.so.7

* Mon Mar 27 2006 David Walluck <walluck@mandriva.org> 0:1.9.1-1mdk
- 1.9.1

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:1.9-1mdk
- 1.9

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:1.4.3-2.5mdk
- fix path to aot-compile-rpm
- BuildRequires: java-devel

* Mon Oct 24 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.4mdk
- remove lib/junit-3.8.1.jar binary jar form source zip

* Mon Oct 24 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.3mdk
- fix unversioned demos symlink

* Mon Oct 24 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.2mdk
- add %%{name}{,-%%{version}}-src.zip (for eclipse)
- add unversioned demos symlink (fix, for eclipse)

* Fri May 27 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.1mdk
- release

* Tue Apr 26 2005 Ville Skyttä <scop at jpackage.org> - 0:1.4.3-2jpp
- Add unversioned javadoc dir symlink.
- Crosslink with local JDK javadocs.
- Convert specfile to UTF-8.
- Fix URLs.

* Mon Jan 10 2005 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4.3
- 1.4.3

* Mon Aug 23 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.3-3jpp
- Rebuild with Ant 1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.3-2jpp
- Upgrade to Ant 1.6.X

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:1.3-1jpp
- 1.3

* Wed Mar 26 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2-2jpp
- Rebuilt for JPackage 1.5.

* Thu Mar  6 2003 Ville Skyttä <scop at jpackage.org> - 1.2-1jpp
- First JPackage release.
